Class HatchBuilder
Inheritance
System.Object
System.MarshalByRefObject
HatchBuilder
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
Syntax
public class HatchBuilder : Builder, IMessageSink, IComponentBuilder
Constructors
HatchBuilder()
Declaration
Properties
Angle
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public double Angle { get; set; }
Property Value
Type |
Description |
System.Double |
|
AnnotationToExclude
Declaration
public SelectDisplayableObjectList AnnotationToExclude { get; }
Property Value
AnnotationType
Declaration
public HatchBuilder.AnnotationTypes AnnotationType { get; set; }
Property Value
AreafillAngle
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public double AreafillAngle { get; set; }
Property Value
Type |
Description |
System.Double |
|
AutomaticallyExcludeText
Declaration
public bool AutomaticallyExcludeText { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Boundary
Declaration
public BoundaryBuilder Boundary { get; }
Property Value
Color
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public NXColor Color { get; set; }
Property Value
CrosshatchFile
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public string CrosshatchFile { get; set; }
Property Value
Type |
Description |
System.String |
|
Distance
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public double Distance { get; set; }
Property Value
Type |
Description |
System.Double |
|
HatchFillSettings
Declaration
public HatchFillSettingsBuilder HatchFillSettings { get; }
Property Value
Material
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public AreaFillMaterial Material { get; set; }
Property Value
Pattern
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public string Pattern { get; set; }
Property Value
Type |
Description |
System.String |
|
Scale
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public double Scale { get; set; }
Property Value
Type |
Description |
System.Double |
|
Tolerance
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public double Tolerance { get; set; }
Property Value
Type |
Description |
System.Double |
|
Width
Declaration
[Obsolete("Deprecated in NX7.5.0. Use NXOpen.Annotations.HatchFillSettingsBuilder instead.")]
public LineWidth Width { get; set; }
Property Value
Methods
GetMarginPercent(NXObject)
Declaration
public double GetMarginPercent(NXObject annotation)
Parameters
Type |
Name |
Description |
NXObject |
annotation |
|
Returns
Type |
Description |
System.Double |
|
SetCurveDirection(NXObject, Int32)
Declaration
public void SetCurveDirection(NXObject curveTag, int curveDirection)
Parameters
Type |
Name |
Description |
NXObject |
curveTag |
|
System.Int32 |
curveDirection |
|
SetMarginPercent(NXObject, Double)
Declaration
public void SetMarginPercent(NXObject annotation, double marginpercent)
Parameters
Type |
Name |
Description |
NXObject |
annotation |
|
System.Double |
marginpercent |
|
SetNumCurrentDirectionMapElements(Int32)
Declaration
public void SetNumCurrentDirectionMapElements(int numCurrentDirectionMapElement)
Parameters
Type |
Name |
Description |
System.Int32 |
numCurrentDirectionMapElement |
|
SetSectionCurveDirections(NXObject, NXObject, Int32[])
Declaration
public void SetSectionCurveDirections(NXObject section, NXObject curve, int[] curveDirections)
Parameters
Type |
Name |
Description |
NXObject |
section |
|
NXObject |
curve |
|
System.Int32[] |
curveDirections |
|
Implements
System.Runtime.Remoting.Messaging.IMessageSink